=== debian/control ===
Source: ros-crystal-rcl-lifecycle
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake-gtest, ros-crystal-ament-cmake-ros, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-lifecycle-msgs, ros-crystal-osrf-testing-tools-cpp, ros-crystal-rcl, ros-crystal-rcutils, ros-crystal-rmw-implementation, ros-crystal-rosidl-generator-c, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-rcl-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-lifecycle-msgs, ros-crystal-rcl, ros-crystal-rcutils, ros-crystal-rmw-implementation, ros-crystal-rosidl-generator-c, ros-crystal-ros-workspace
Description: Package containing a C-based lifecycle implementation
